Package org.apache.wiki.pages.haddock

# Interface HaddockPage

All Superinterfaces:
  `Page`

All Known Implementing Classes:
  `EditWikiPage`, `LoginPage`, `SearchResultsPage`, `ViewWikiPage`

public interface HaddockPage extends Page

## Method Summary

Modifier and Type
Method
Description
`default String`
`wikiPageContent()`
returns page's wiki content.
`default String`
`wikiTitle()`
returns page's wiki title.

### Methods inherited from interface org.apache.wiki.pages.Page

`title, url`

## Method Details

### wikiTitle

default String wikiTitle()
returns page's wiki title.

Specified by:
  `wikiTitle` in interface `Page`
Returns:
  page's wiki title.

### wikiPageContent

default String wikiPageContent()
returns page's wiki content.

Specified by:
  `wikiPageContent` in interface `Page`
Returns:
  page's wiki content.